# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetCrossReferenceResp

Packages that use TGetCrossReferenceResp
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetCrossReferenceResp in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TGetCrossReferenceResp in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncClient.GetCrossReference_call`
`static class`
`TCLIService.AsyncProcessor.GetCrossReference<I extends TCLIService.AsyncIface>`
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetCrossReferenceResp
Modifier and Type
Class
Description
`class`
`TGetCrossReferenceResp`
`class`
`TGetCrossReferenceResp`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetCrossReferenceResp
Modifier and Type
Field
Description
`TGetCrossReferenceResp`
TCLIService.GetCrossReference_result.`success`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetCrossReferenceResp
Modifier and Type
Method
Description
`TGetCrossReferenceResp`
TGetCrossReferenceResp.`deepCopy()`
`TGetCrossReferenceResp`
TCLIService.Client.`GetCrossReference(TGetCrossReferenceReq req)`
`TGetCrossReferenceResp`
TCLIService.Iface.`GetCrossReference(TGetCrossReferenceReq req)`
`TGetCrossReferenceResp`
TCLIService.AsyncClient.GetCrossReference_call.`getResult()`
`TGetCrossReferenceResp`
TCLIService.GetCrossReference_result.`getSuccess()`
`TGetCrossReferenceResp`
TCLIService.Client.`recv_GetCrossReference()`
`TGetCrossReferenceResp`
TGetCrossReferenceResp.`setDirectResults(TSparkDirectResults directResults)`
`TGetCrossReferenceResp`
TGetCrossReferenceResp.`setOperationHandle(TOperationHandle operationHandle)`
`TGetCrossReferenceResp`
TGetCrossReferenceResp.`setStatus(TStatus status)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TGetCrossReferenceResp
Modifier and Type
Method
Description
`org.apache.thrift.async.AsyncMethodCallback<TGetCrossReferenceResp>`
TCLIService.AsyncProcessor.GetCrossReference.`getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetCrossReferenceResp
Modifier and Type
Method
Description
`int`
TGetCrossReferenceResp.`compareTo(TGetCrossReferenceResp other)`
`boolean`
TGetCrossReferenceResp.`equals(TGetCrossReferenceResp that)`
`TCLIService.GetCrossReference_result`
TCLIService.GetCrossReference_result.`setSuccess(TGetCrossReferenceResp success)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetCrossReferenceResp
Modifier and Type
Method
Description
`void`
TCLIService.AsyncClient.`GetCrossReference(TGetCrossReferenceReq req, org.apache.thrift.async.AsyncMethodCallback<TGetCrossReferenceResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetCrossReference(TGetCrossReferenceReq req, org.apache.thrift.async.AsyncMethodCallback<TGetCrossReferenceResp> resultHandler)`
`void`
TCLIService.AsyncProcessor.GetCrossReference.`start(I iface, TCLIService.GetCrossReference_args args, org.apache.thrift.async.AsyncMethodCallback<TGetCrossReferenceResp> resultHandler)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetCrossReferenceResp
Modifier
Constructor
Description
``
`GetCrossReference_result(TGetCrossReferenceResp success)`
``
`TGetCrossReferenceResp(TGetCrossReferenceResp other)`
Performs a deep copy on other.
Constructor parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetCrossReferenceResp
Modifier
Constructor
Description
``
`GetCrossReference_call(TGetCrossReferenceReq req, org.apache.thrift.async.AsyncMethodCallback<TGetCrossReferenceResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`